MyGUI: MyGUI::ResourceManualPointer Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ResourceManualPointer Class Reference

`#include <MyGUI_ResourceManualPointer.h>`

Inheritance diagram for MyGUI::ResourceManualPointer:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceManualPointer | RTTIBase
Public Types inherited from MyGUI::IPointer
typedef RTTIBase | Base
typedef IPointer | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual const std::string & | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type >
bool | isType () const
void | deserialization (xml::ElementPtr _node, Version _version) override
void | setImage (ImageBox *_image) override
void | setPosition (ImageBox *_image, const IntPoint &_point) override
Public Member Functions inherited from MyGUI::IPointer
template<typename Type >
bool | isType () const
Public Member Functions inherited from MyGUI::IResource
template<typename Type >
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (const std::string &_value)
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type >
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type >
bool | isType () const
template<typename Type >
Type * | castType (bool _throw=true)
template<typename Type >
const Type * | castType (bool _throw=true) const
| IObject ()=default
virtual | ~IObject ()=default

## Static Public Member Functions
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IPointer
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static const std::string & | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static const std::string & | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()=default
| ~IResource () override=default
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 16 of file MyGUI_ResourceManualPointer.h.

## Member Typedef Documentation

## ◆ Base

RTTIBase MyGUI::ResourceManualPointer::Base

Definition at line 19 of file MyGUI_ResourceManualPointer.h.

## ◆ RTTIBase

ResourceManualPointer MyGUI::ResourceManualPointer::RTTIBase

Definition at line 19 of file MyGUI_ResourceManualPointer.h.

## Member Function Documentation

## ◆ deserialization()

void MyGUI::ResourceManualPointer::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version )
| overridevirtual

Reimplemented from MyGUI::IResource.

Definition at line 16 of file MyGUI_ResourceManualPointer.cpp.

## ◆ getClassTypeName()

static const std::string & MyGUI::ResourceManualPointer::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 19 of file MyGUI_ResourceManualPointer.h.

## ◆ getTypeName()

virtual const std::string & MyGUI::ResourceManualPointer::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IPointer.

Definition at line 19 of file MyGUI_ResourceManualPointer.h.

## ◆ isType() [1/2]

template<typename Type >

bool MyGUI::ResourceManualPointer::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 19 of file MyGUI_ResourceManualPointer.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ResourceManualPointer::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IPointer.

Definition at line 19 of file MyGUI_ResourceManualPointer.h.

## ◆ setImage()

void MyGUI::ResourceManualPointer::setImage | ( | ImageBox * | _image | ) |
| overridevirtual

Implements MyGUI::IPointer.

Definition at line 34 of file MyGUI_ResourceManualPointer.cpp.

## ◆ setPosition()

void MyGUI::ResourceManualPointer::setPosition | ( | ImageBox * | _image,
|  | const IntPoint & | _point )
| overridevirtual

Implements MyGUI::IPointer.

Definition at line 40 of file MyGUI_ResourceManualPointer.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ResourceManualPointer.h
- MyGUI_ResourceManualPointer.cpp